functional_data_generator 0.2.1

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 66

functional_data_generator #

Code generator for the functional_data package.

0.2.1 #

  • Add changelog
  • Format code
  • Add description

0.2.0 #

  • First published version

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  functional_data_generator: ^0.2.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:functional_data_generator/builder.dart';
  
Version Uploaded Documentation Archive
0.2.4 Apr 7, 2019 Go to the documentation of functional_data_generator 0.2.4 Download functional_data_generator 0.2.4 archive
0.2.3 Apr 6, 2019 Go to the documentation of functional_data_generator 0.2.3 Download functional_data_generator 0.2.3 archive
0.2.2 Feb 3, 2019 Go to the documentation of functional_data_generator 0.2.2 Download functional_data_generator 0.2.2 archive
0.2.1 Feb 3, 2019 Go to the documentation of functional_data_generator 0.2.1 Download functional_data_generator 0.2.1 archive
0.2.0 Feb 3, 2019 Go to the documentation of functional_data_generator 0.2.0 Download functional_data_generator 0.2.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
38
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
89
Overall:
Weighted score of the above. [more]
66
Learn more about scoring.

We analyzed this package on May 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.3.1
  • pana: 0.12.16

Platforms

Detected platforms: other

Platform components identified in package: build, io, mirrors.

Health suggestions

Fix lib/builder.dart. (-1 points)

Analysis of lib/builder.dart reported 2 hints:

line 38 col 5: DO use curly braces for all flow control structures.

line 43 col 5: DO use curly braces for all flow control structures.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and functional_data_generator.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

The description is too long. (-1 points)

Search engines display only the first part of the description. Try to keep the value of the description field in your package's pubspec.yaml file between 60 and 180 characters.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
analyzer ^0.34.0 0.34.3 0.36.3
build ^1.0.2 1.1.0 1.1.4
collection ^1.14.11 1.14.11
functional_data >=0.2.0 <0.3.0 0.2.2
source_gen ^0.9.2 0.9.4+1 0.9.4+2
Transitive dependencies
args 1.5.1
async 2.2.0
charcode 1.1.2
convert 2.1.1
crypto 2.0.6
csslib 0.16.0
dart_style 1.2.3 1.2.7
front_end 0.1.9+1 0.1.18
glob 1.1.7
html 0.14.0+2
kernel 0.3.9+1 0.3.18
logging 0.11.3+2
meta 1.1.7
package_config 1.0.5
path 1.6.2
plugin 0.2.0+3
pub_semver 1.4.2
source_span 1.5.5
string_scanner 1.0.4
term_glyph 1.1.0
typed_data 1.1.6
watcher 0.9.7+10
yaml 2.1.15
Dev dependencies
build_runner any